AUSEARCH_NEXT_EVENT(3)

NAME
ausearch_next_event - find the next event that meets search criteria

SYNOPSIS
#include <auparse.h>

int ausearch_next_event(auparse_state_t *au);

DESCRIPTION
ausearch_next_event will scan the input source and evaluate whether any record in an event contains the data being searched for. Evaluation is done at the record level.

RETURN VALUE
Returns -1 if an error occurs, 0 if no matches, and 1 for success.

SEE ALSO
ausearch_add_item(3), ausearch_add_regex(3), ausearch_set_stop(3).

AUTHOR
Steve Grubb